#!/bin/csh
#*******************************************************************************
# 
# MOD : FormatControl
# ROL : Check if a netcdf file is compliant with a format definition (argo, oco,
#       oceansites, ...)
# AUT : Ifremer
# VER : control.csh applicationVersion
#
#*******************************************************************************


#-------------------------------------------------------------------------------
# Configuration
# JAVA_HOME is the path where the java runtime environment (jre) is installed
# JAVA_BIN is the path where the java binaries are installed
# EXE is the path where the application FormatControl is installed
#-------------------------------------------------------------------------------
set JAVA_HOME=/usr/jdk/latest/jre
set JAVA_BIN=/usr/jdk/latest/bin
set EXE=/home/coriolis_exp/bin/co03/co0308/co030803/exe



#-------------------------------------------------------------------------------
# Launch the application
#-------------------------------------------------------------------------------
set CLASSPATH=${JAVA_HOME}:./RULES:./CLASSES:./PROPERTIES:./LIB/netcdfUI-2.2.20.jar:./LIB/nlog4j-1.2.25.jar:./LIB/xercesImpl.jar
cd $EXE
$JAVA_BIN/java -cp $CLASSPATH -Dapplication.properties=application.properties oco.FormatControl $1



